package org.apache.maven.plugin.linkcheck.validation;

/* ====================================================================
 *   Copyright 2001-2005 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

/**
 * @author <a href="mailto:bwalding@apache.org">Ben Walding</a>
 * @author <a href="mailto:aheritier@apache.org">Arnaud Heritier</a>
 * @version $Id: LinkValidator.java 368935 2006-01-14 00:28:50Z aheritier $
 */
public interface LinkValidator
{

    /**
     * If getResource(lvi) returned null, this will NOT be called.
     * @param lvi
     * @return int
     * @throws Exception
     */
    public LinkValidationResult validateLink( LinkValidationItem lvi )
        throws Exception;

    /**
     * The resource key is used by the cache to determine if it really needs to
     * validate the link.  No actual validation should be done at this point.
     * @param lvi
     * @return Object null if this validator should not be doing this work.
     * @throws Exception
     */
    public Object getResourceKey( LinkValidationItem lvi );
}
