package org.apache.maven.plugin.linkcheck.validation;

/* ====================================================================
 *   Copyright 2001-2006 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

/**
 * Fake links check when maven is offline
 * @author <a href="mailto:aheritier@apache.org">Arnaud Heritier</a>
 * @version $Id: HTTPLinkValidator.java 155277 2005-02-24 23:23:29Z aheritier $
 */
public final class OfflineHTTPLinkValidator
    extends HTTPLinkValidator
    implements LinkValidator
{

    /**
     * @see org.apache.maven.plugin.linkcheck.LinkValidator#validateLink(org.apache.maven.plugin.linkcheck.LinkValidationItem)
     */
    public LinkValidationResult validateLink( LinkValidationItem lvi )
    {
        return new LinkValidationResult( LinkValidationResult.WARNING, false, "Maven is offline. Link not checked." );
    }

}
